Index: greenstone3/trunk/web/interfaces/oran/transform/layouts/main.xsl
===================================================================
--- greenstone3/trunk/web/interfaces/oran/transform/layouts/main.xsl	(revision 19856)
+++ greenstone3/trunk/web/interfaces/oran/transform/layouts/main.xsl	(revision 19856)
@@ -0,0 +1,107 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<xsl:stylesheet version="1.0"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:java="http://xml.apache.org/xslt/java"
+	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
+	xmlns:gslib="http://www.greenstone.org/skinning"
+	extension-element-prefixes="java util"
+	exclude-result-prefixes="util java util">
+
+	<!-- the name of the site -->
+	<xsl:template name="site-title">My Greenstone Library</xsl:template>
+	<xsl:template name="site-linked-title"><a href="./">My Greenstone Library</a></xsl:template>
+
+	<!-- the output format for this layout is html -->
+	<xsl:output method="html"/>  
+
+	<!-- the main layout is defined here -->
+	<xsl:template match="/">
+
+		<html>
+
+			<head>
+				<title><xsl:call-template name="title"/> :: <xsl:call-template name="site-title"/></title>
+				<link rel="stylesheet" href="interfaces/{$interface_name}/style/core.css" type="text/css"/>
+				<script type="text/javascript" src="interfaces/oran/js/jquery.js"><xsl:text> </xsl:text></script>
+				<xsl:call-template name="berryBasketHeadTags"/>
+			</head>
+			
+			<body><xsl:call-template name="textDirectionAttribute"/>
+
+				<div id="container"><div id="container2"><div id="container3"><div id="container4">
+					<xsl:call-template name="displayErrorsIfAny"/>
+
+					<div id="banner">
+
+						<!-- show the title -->
+						<h1><xsl:call-template name="site-linked-title"/> /</h1>
+						<h2><xsl:call-template name="linked-title"/></h2>
+
+						<!-- show home, help, preferences links -->
+						<ul id="bannerLinks">
+
+							<!-- preferences -->
+							<li>
+								<a href="{$library_name}?a=p&amp;amp;sa=pref&amp;amp;c={$collName}">
+									<xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref_tip')"/></xsl:attribute>
+							    	<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref_b')"/>
+								</a>
+							</li>
+
+							<!-- help
+							<li>
+								<a href="{$library_name}?a=p&amp;amp;sa=help&amp;amp;c={$collName}">
+									<xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'help_tip')"/></xsl:attribute>
+								    <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'help_b')"/>
+								</a>
+							</li>
+							 -->
+
+							<!-- home
+							<li>
+								<a href="{$library_name}?a=p&amp;amp;sa=home">
+									<xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home_tip')"/></xsl:attribute>
+								    <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home_b')"/>
+								</a>
+							</li>
+							 -->
+
+						</ul>			
+
+						<!-- show the available 'services' (browse, search, etc.) -->
+						<xsl:if test="/page/pageResponse/collection/serviceList/service">
+							<ul id="nav">
+								<xsl:for-each select="/page/pageResponse/collection/serviceList/service">
+									<xsl:call-template name="navigationTab"/>
+								</xsl:for-each>
+							</ul>
+						</xsl:if>
+
+					</div>
+
+					<div id="content">
+						<!--
+							show the content of the page.
+							to customise this part, edit the xsl file for the page you want to edit
+						-->
+						<xsl:apply-templates select="/page"/>
+					</div>
+
+					<div id="footer">
+						<xsl:call-template name="poweredByGS3TextBar"/>
+					</div>
+
+					<div class="corner" id="cornerTopLeft"><xsl:text> </xsl:text></div>
+					<div class="corner" id="cornerTopRight"><xsl:text> </xsl:text></div>
+					<div class="corner" id="cornerBottomLeft"><xsl:text> </xsl:text></div>
+					<div class="corner" id="cornerBottomRight"><xsl:text> </xsl:text></div>
+
+				</div></div></div></div>
+
+			</body>
+		</html>
+	</xsl:template>
+
+</xsl:stylesheet>
+
+
Index: greenstone3/trunk/web/interfaces/oran/transform/pages/about.xsl
===================================================================
--- greenstone3/trunk/web/interfaces/oran/transform/pages/about.xsl	(revision 19856)
+++ greenstone3/trunk/web/interfaces/oran/transform/pages/about.xsl	(revision 19856)
@@ -0,0 +1,28 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<xsl:stylesheet version="1.0"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:java="http://xml.apache.org/xslt/java"
+	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
+	xmlns:gslib="http://www.greenstone.org/skinning"
+	extension-element-prefixes="java util"
+	exclude-result-prefixes="java util">
+
+	<!-- set to the oran layout -->
+	<xsl:include href="layouts/main.xsl"/>
+
+	<xsl:template name="title"><gslib:aboutCollectionPageTitle/></xsl:template>
+	<xsl:template name="linked-title"><a href=""><gslib:aboutCollectionPageTitle/></a></xsl:template>
+
+	<!-- <xsl:template name="linked-title"><a href=""><gslib:aboutCollectionPageTitle/></a></xsl:template> -->
+
+	<xsl:template match="/page">
+  
+		<!--Display the description text of the current collection,
+		and if some services are available then create a list
+		of links for each service within a <ul id="servicelist"> element.-->
+		<gslib:collectionDescriptionTextAndServicesLinks/>
+	</xsl:template>
+
+
+</xsl:stylesheet>  
+
Index: greenstone3/trunk/web/interfaces/oran/transform/pages/berry.xsl
===================================================================
--- greenstone3/trunk/web/interfaces/oran/transform/pages/berry.xsl	(revision 19856)
+++ greenstone3/trunk/web/interfaces/oran/transform/pages/berry.xsl	(revision 19856)
@@ -0,0 +1,49 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<xsl:stylesheet version="1.0"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:java="http://xml.apache.org/xslt/java"
+	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
+	xmlns:gslib="http://www.greenstone.org/skinning"
+	extension-element-prefixes="java util"
+	exclude-result-prefixes="java util">
+
+	<!-- make this page use the 'main' layout -->
+	<xsl:include href="layouts/main.xsl"/>
+
+	<!-- set page title and subtitle-->
+	<xsl:template name="title"><xsl:value-of select="/page/pageResponse/serviceCluster/metadataList/metadata[@name='Title']"/> Berry Basket</xsl:template>
+	<xsl:template name="linked-title"><a href=""><xsl:value-of select="/page/pageResponse/serviceCluster/metadataList/metadata[@name='Title']"/> Berry Basket</a></xsl:template>
+
+	<!-- the main page layout template is here -->
+	<xsl:template match="/page">
+		<xsl:variable name="clusterName"><xsl:value-of select="/page/pageRequest/paramList/param[@name='c']/@value"/></xsl:variable>
+		<script type="text/javascript" src="/interfaces/oran/js/berrycheckout.js"><xsl:text> </xsl:text></script>
+		<script type="text/javascript">
+			<xsl:for-each select="/page/pageResponse/collection/item">
+				<xsl:text disable-output-escaping="yes">var doc = new Array();
+				</xsl:text>
+				<xsl:for-each select="@*">
+					<xsl:text disable-output-escaping="yes">doc["</xsl:text><xsl:value-of select="name()" /><xsl:text disable-output-escaping="yes">"]='</xsl:text><xsl:value-of select="." /><xsl:text disable-output-escaping="yes">';
+					</xsl:text>
+				</xsl:for-each>
+				<xsl:text disable-output-escaping="yes">docList[docList.length] = doc;
+				</xsl:text>
+			</xsl:for-each>
+		</script>
+
+		<div class="navList" id="berryCheckoutOptions">
+			<ul>
+				<li id="fullview" class="current"><span>Full View</span></li>
+				<li id="textview"><span>Text View</span></li>
+				<li id="email"><span>Email</span></li>
+			</ul>
+			<div class="clear"><xsl:text> </xsl:text></div>
+		</div>
+		<div id="berryBasketContent"><span><xsl:text> </xsl:text></span></div>
+
+	</xsl:template>
+
+
+
+</xsl:stylesheet>  
+
Index: greenstone3/trunk/web/interfaces/oran/transform/pages/classifier.xsl
===================================================================
--- greenstone3/trunk/web/interfaces/oran/transform/pages/classifier.xsl	(revision 19856)
+++ greenstone3/trunk/web/interfaces/oran/transform/pages/classifier.xsl	(revision 19856)
@@ -0,0 +1,96 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<xsl:stylesheet version="1.0"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:java="http://xml.apache.org/xslt/java"
+	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
+	xmlns:gslib="http://www.greenstone.org/skinning"
+	extension-element-prefixes="java util"
+	exclude-result-prefixes="java util">
+	
+	<xsl:include href=".old/berrytools.xsl"/>
+
+	<!-- make this page use the 'main' layout -->
+	<xsl:include href="layouts/main.xsl"/>
+
+	<!-- set page title and subtitle-->
+	<xsl:template name="title"><gslib:aboutCollectionPageTitle/></xsl:template>
+	<xsl:template name="linked-title"><a href=""><gslib:aboutCollectionPageTitle/></a></xsl:template>
+
+	<!-- the page content is here -->
+	<xsl:template match="/page/pageResponse">
+
+
+		<!-- show the classifiers (title, subject, etc.) -->
+		<div id="classifierList" class="navList">
+			<ul>
+				<xsl:for-each select="service/classifierList/classifier">
+					<li><gslib:classifierLink/></li>
+				</xsl:for-each>
+			</ul>
+			<div class="clear"><xsl:text> </xsl:text></div>
+		</div>
+
+		<!-- this right sidebar -->
+		<div id="rightSidebar">
+			<!-- show the berry basket if it's turned on -->
+			<gslib:berryBasket/>
+			<xsl:text> </xsl:text>
+		</div>
+	
+		<!--
+			show the clasifier results - 
+			you can change the appearance of the results by editing
+			the two templates at the bottom of this file
+		-->
+		<ul id="classifierResults">
+			<xsl:apply-templates select="classifier/*"/>
+		</ul>
+		<div class="clear"><xsl:text> </xsl:text></div>
+
+	</xsl:template>
+
+
+	<!--
+	TEMPLATE FOR DOCUMENTS
+	-->
+	<xsl:template match="documentNode" priority="3">
+
+		<!-- show the document details -->
+		<li class="document">
+
+			<a>
+				<xsl:attribute name="href"><xsl:value-of select="$library_name"/>?a=d&amp;c=<xsl:value-of select="/page/pageResponse/collection/@name"/>&amp;d=<xsl:value-of select="@nodeID"/>&amp;dt=<xsl:value-of select="@docType"/>&amp;p.a=b&amp;p.s=<xsl:value-of select="/page/pageResponse/service/@name"/></xsl:attribute>
+				<xsl:value-of disable-output-escaping="yes"  select="metadataList/metadata[@name='Title']"/>
+			</a>
+			<xsl:call-template name="documentBerryForClassifierOrSearchPage"/>
+
+		</li>
+
+	</xsl:template>
+
+
+	<!--
+	TEMPLATE FOR GROUPS OF DOCUMENTS
+	-->
+	<xsl:template match="classifierNode" priority="3">
+
+		<li class="shelf">
+
+			<a>
+				<xsl:attribute name="href">
+					<xsl:value-of select="$library_name"/>?a=b&amp;rt=r&amp;s=<xsl:value-of select="/page/pageResponse/service/@name"/>&amp;c=<xsl:value-of select="/page/pageResponse/collection/@name"/>&amp;cl=<xsl:value-of select='@nodeID'/><xsl:if test="classifierNode|documentNode">.pr</xsl:if></xsl:attribute>
+				<xsl:value-of disable-output-escaping="yes"  select="metadataList/metadata[@name='Title']"/>
+			</a>
+
+			<!-- show any documents or sub-groups in this group -->
+			<xsl:if test="documentNode|classifierNode">
+				<ul>
+					<xsl:apply-templates select="documentNode|classifierNode"/>
+				</ul>
+			</xsl:if>
+		</li>
+
+	</xsl:template>
+
+</xsl:stylesheet>
+
Index: greenstone3/trunk/web/interfaces/oran/transform/pages/document.xsl
===================================================================
--- greenstone3/trunk/web/interfaces/oran/transform/pages/document.xsl	(revision 19856)
+++ greenstone3/trunk/web/interfaces/oran/transform/pages/document.xsl	(revision 19856)
@@ -0,0 +1,138 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<xsl:stylesheet version="1.0"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:java="http://xml.apache.org/xslt/java"
+	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
+	xmlns:gslib="http://www.greenstone.org/skinning"
+	xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat"
+	extension-element-prefixes="java util"
+	exclude-result-prefixes="java util gsf">
+
+	<!-- style includes global params interface_name, library_name -->
+	<xsl:include href=".old/berrytools.xsl"/>
+
+	<!-- make this page use the 'main' layout -->
+	<xsl:include href="layouts/main.xsl"/>
+
+	<!-- set page title and subtitle-->
+	<xsl:template name="title"><gslib:collectionName/></xsl:template>
+	<xsl:template name="linked-title"><a><xsl:attribute name="href">/<xsl:value-of select="collection/@name"/></xsl:attribute><gslib:collectionName/></a></xsl:template>
+
+	<xsl:template match="/page/pageResponse/document">
+
+		<!-- show the little berries for this document -->
+		<xsl:call-template name="documentBerryForDocumentPage"/>
+
+		<!-- the sidebar -->
+		<div id="rightSidebar">
+
+			<!-- show the berry basket if it's turned on -->
+			<gslib:berryBasket/>
+
+			<!-- the book's cover image -->
+			<div id="coverImage"><gslib:coverImage/></div>
+			<br/>
+
+			<!-- the contents -->
+			<ul id="tableOfContents">
+				<xsl:apply-templates select="documentNode/documentNode"/>
+			</ul>
+
+		</div>
+
+		<!-- display the document -->
+		<xsl:choose>
+
+			<xsl:when test="@external != ''">
+				<xsl:call-template name="externalPage">
+					<xsl:with-param name="external" select="@external"/>
+				</xsl:call-template>
+			</xsl:when>
+
+			<xsl:otherwise>
+				<!-- document heading -->
+				<xsl:variable name="doCoverImage" select="/page/pageResponse/format/gsf:option[@name='coverImages']/@value"/>
+				<xsl:variable name="doTOC" select="/page/pageResponse/format/gsf:option[@name='documentTOC']/@value"/>
+				<xsl:variable name="p.a" select="/page/pageRequest/paramList/param[@name='p.a']/@value"/>
+				<xsl:variable name="p.sa" select="/page/pageRequest/paramList/param[@name='p.sa']/@value"/>
+				<xsl:variable name="p.s" select="/page/pageRequest/paramList/param[@name='p.s']/@value"/>
+				<xsl:variable name="p.c"><xsl:choose><xsl:when test="/page/pageRequest/paramList/param[@name='p.c']"><xsl:value-of select="/page/pageRequest/paramList/param[@name='p.c']/@value"/></xsl:when><xsl:otherwise><xsl:value-of select="$collName"/></xsl:otherwise></xsl:choose></xsl:variable>
+
+				<div id="documentheading">
+
+					<!--<a href="{$library_name}?a={$p.a}&amp;sa={$p.sa}&amp;s={$p.s}&amp;c={$p.c}&amp;rt=rd"><xsl:call-template name="openbookimg"><xsl:with-param name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'close_book')"/></xsl:with-param></xsl:call-template></a>-->
+
+					<xsl:choose>
+						<xsl:when test="@docType='simple'"><xsl:value-of select="metadataList/metadata[@name='Title']" disable-output-escaping="yes"/></xsl:when>
+						<xsl:otherwise><xsl:value-of select="documentNode/metadataList/metadata[@name='Title']" disable-output-escaping="yes"/></xsl:otherwise>
+					</xsl:choose>
+
+				</div>
+
+				<div class="documenttext"> 
+					<xsl:for-each select="descendant-or-self::node()/nodeContent">
+						<h3><xsl:value-of disable-output-escaping="yes" select="../metadataList/metadata[@name='Title']"/></h3>
+						<xsl:for-each select="node()">
+							<xsl:choose>
+								<xsl:when test="not(name())">
+									<xsl:value-of select="." disable-output-escaping="yes"/>
+								</xsl:when>
+								<xsl:otherwise>
+									<xsl:apply-templates select="."/>
+								</xsl:otherwise>
+							</xsl:choose>
+						</xsl:for-each>
+					</xsl:for-each>
+				</div>
+
+				<gslib:previousNextButtons/>
+
+			</xsl:otherwise>
+		</xsl:choose>
+
+		<div class="clear"><xsl:text> </xsl:text></div>
+
+	</xsl:template>
+
+	<xsl:template match="documentNode">
+
+		<!-- check if this is the currently selected table of contents item -->
+		<xsl:variable name="isCurrent" select="nodeContent"/>
+
+		<!-- formulate the link -->
+		<xsl:variable name="contentsLink">
+			<xsl:value-of select='$library_name'/>?
+			a=d&amp;
+			c=<gslib:collectionShortName/>&amp;
+			d=<xsl:value-of select='@nodeID'/><xsl:if test="documentNode">.pr</xsl:if>&amp;
+			sib=1&amp;
+			<!--<xsl:if test="string($ec) = '1'">ec=1&amp;</xsl:if>
+			p.a=<xsl:value-of select="$p.a"/>&amp;
+			p.sa=<xsl:value-of select="$p.sa"/>&amp;
+			p.s=<xsl:value-of select="$p.s"/>&amp;
+			p.c=<xsl:value-of select="$p.c"/>-->
+		</xsl:variable>
+
+		<li>
+			<!-- display this item from the table of contents -->
+			<xsl:if test="$isCurrent"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
+			<a>
+				<xsl:attribute name="href"><xsl:value-of select="translate( $contentsLink , ' ', '' )"/></xsl:attribute>
+				<xsl:value-of disable-output-escaping="yes" select="metadataList/metadata[@name='Title']"/>
+			</a>
+
+			<!-- display any child items -->			
+			<xsl:if test="documentNode">
+				<ul>
+					<xsl:apply-templates select="documentNode"/>
+				</ul>
+			</xsl:if>
+
+		</li>
+
+	</xsl:template>
+
+	<xsl:template match="/page"><xsl:apply-templates select="/page/pageResponse/document"/></xsl:template> <!-- this to be deleted eventually -->
+
+</xsl:stylesheet>
+
Index: greenstone3/trunk/web/interfaces/oran/transform/pages/help.xsl
===================================================================
--- greenstone3/trunk/web/interfaces/oran/transform/pages/help.xsl	(revision 19856)
+++ greenstone3/trunk/web/interfaces/oran/transform/pages/help.xsl	(revision 19856)
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<xsl:stylesheet version="1.0"
+  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+  xmlns:java="http://xml.apache.org/xslt/java"
+  xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
+  extension-element-prefixes="java util"
+  exclude-result-prefixes="java util">
+  
+	<!-- choose the main layout -->
+	<xsl:include href="layouts/main.xsl"/>
+
+	<!-- title -->
+	<xsl:template name="title">Help</xsl:template>
+	<xsl:template name="linked-title">Help</xsl:template>
+
+	<!-- the main page layout template is here -->
+	<xsl:template match="page">
+		Help text goes here
+	</xsl:template>
+ 
+  
+</xsl:stylesheet>
Index: greenstone3/trunk/web/interfaces/oran/transform/pages/home.xsl
===================================================================
--- greenstone3/trunk/web/interfaces/oran/transform/pages/home.xsl	(revision 19856)
+++ greenstone3/trunk/web/interfaces/oran/transform/pages/home.xsl	(revision 19856)
@@ -0,0 +1,44 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<xsl:stylesheet version="1.0"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:java="http://xml.apache.org/xslt/java"
+	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
+	xmlns:gslib="http://www.greenstone.org/skinning"
+	extension-element-prefixes="java util"
+	exclude-result-prefixes="util java util">
+
+	<!-- make this page use the 'main' layout -->
+	<xsl:include href="layouts/main.xsl"/>
+
+	<!-- set page title and subtitle-->
+	<xsl:template name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home_t')"/></xsl:template>
+	<xsl:template name="linked-title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home_t')"/></xsl:template>
+
+	<!-- the page content is here -->
+	<xsl:template match="/page/pageResponse">
+
+		<div id="quickSearch">
+			<gslib:crossCollectionQuickSearchForm/>
+		</div>
+
+		<h2><gslib:selectACollectionTextBar/></h2>
+
+		<div id="collectionLinks">
+			<xsl:for-each select="collectionList/collection">
+				<gslib:collectionLinkWithImage/>
+			</xsl:for-each>
+			<br class="clear"/>
+		</div>
+
+
+		<gslib:serviceClusterList/>
+
+		<xsl:for-each select="serviceList/service[@type='query']">
+			<gslib:serviceLink/><br/>
+		</xsl:for-each>
+
+	</xsl:template>
+
+</xsl:stylesheet>
+
+
Index: greenstone3/trunk/web/interfaces/oran/transform/pages/pref.xsl
===================================================================
--- greenstone3/trunk/web/interfaces/oran/transform/pages/pref.xsl	(revision 19856)
+++ greenstone3/trunk/web/interfaces/oran/transform/pages/pref.xsl	(revision 19856)
@@ -0,0 +1,92 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<xsl:stylesheet version="1.0"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:java="http://xml.apache.org/xslt/java"
+	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
+	extension-element-prefixes="java util"
+	exclude-result-prefixes="java util">
+  
+	<!-- style includes global params interface_name, library_name -->
+	<xsl:include href=".old/style.xsl"/>
+
+	<!-- make this page use the 'main' layout -->
+	<xsl:include href="layouts/main.xsl"/>
+
+	<!-- set page title and subtitle-->
+	<xsl:template name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref_b')"/></xsl:template>
+	<xsl:template name="linked-title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref_b')"/></xsl:template>
+
+	<!-- the page content is here -->
+	<xsl:template match="/page">
+
+		<xsl:variable name="collName" select="/page/pageRequest/paramList/param[@name='c']/@value"/>
+		<xsl:variable name="tidyoption"><xsl:value-of select="/page/pageResponse/collection/metadataList/metadata[@name='tidyoption']"/></xsl:variable>
+
+		<div id="queryform">
+			<form name="PrefForm" method="get" action="{$library_name}">
+
+				<input type='hidden' name='a' value='p'/>
+				<input type='hidden' name='sa' value='pref'/>
+				<input type='hidden' name='c' value="{$collName}"/>
+
+				<!-- presentation preferences -->
+				<h3 class="formheading"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.prespref')"/></h3>
+				<ul id="presprefs">
+					<li>
+						<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.interfacelang')"/>
+						<select name="l">
+							<xsl:for-each select="/page/pageResponse/languageList/language">
+								<option value="{@name}"><xsl:if test="@name=/page/@lang"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if><xsl:value-of select="displayItem[@name='name']"/></option>
+							</xsl:for-each>
+						</select>
+
+					</li>
+					<li>
+						<span class="rightspace"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.encoding')"/></span>
+					</li>
+				</ul>
+
+				<!-- berry baskets -->
+				<ul id="berrybasketprefs">
+					<xsl:variable name="berrybasket"><xsl:choose><xsl:when test="/page/pageRequest/paramList/param[@name='berrybasket']"><xsl:value-of select="/page/pageRequest/paramList/param[@name='berrybasket']/@value"/></xsl:when><xsl:otherwise>off</xsl:otherwise></xsl:choose></xsl:variable>
+					<li>
+						<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.berrybasket')"/>
+						<select name="berrybasket">
+							<option value="on"><xsl:if test="$berrybasket='on'"><xsl:attribute name="selected"></xsl:attribute></xsl:if><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.berrybasket.on')"/></option> 
+							<option value="off"><xsl:if test="$berrybasket='off'"><xsl:attribute name="selected"></xsl:attribute></xsl:if><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.berrybasket.off')"/></option>
+						</select>
+					</li>
+				</ul>
+
+				<!-- tidy (?) -->
+				<xsl:if test="$tidyoption='tidy'">
+					<xsl:variable name="book"><xsl:choose><xsl:when test="/page/pageRequest/paramList/param[@name='book']"><xsl:value-of select="/page/pageRequest/paramList/param[@name='book']/@value"/></xsl:when><xsl:otherwise>off</xsl:otherwise></xsl:choose></xsl:variable>
+					<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.book')"/> <select name="book">
+						<option value="on"><xsl:if test="$book='on'"><xsl:attribute name="selected"></xsl:attribute></xsl:if><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.berrybasket.on')"/></option> 
+						<option value="off"><xsl:if test="$book='off'"><xsl:attribute name="selected"></xsl:attribute></xsl:if><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.berrybasket.off')"/></option>
+					</select>
+				</xsl:if>
+
+				<!-- search preferences -->
+				<h3><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.searchpref')"/></h3>
+				<ul id="searchprefs">
+					<xsl:variable name="hits"><xsl:choose><xsl:when test="/page/pageRequest/paramList/param[@name='hitsPerPage']"><xsl:value-of select="/page/pageRequest/paramList/param[@name='hitsPerPage']/@value"/></xsl:when><xsl:otherwise>20</xsl:otherwise></xsl:choose></xsl:variable> 
+					<li>
+						<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.hitsperpage')"/> 
+						<select name="hitsPerPage">
+							<option value="20"><xsl:if test="$hits=20"><xsl:attribute name="selected"></xsl:attribute></xsl:if>20</option> 
+							<option value="50"><xsl:if test="$hits=50"><xsl:attribute name="selected"></xsl:attribute></xsl:if>50</option>
+							<option value="100"><xsl:if test="$hits=100"><xsl:attribute name="selected"></xsl:attribute></xsl:if>100</option>
+							<option value="-1"><xsl:if test="$hits=-1"><xsl:attribute name="selected"></xsl:attribute></xsl:if><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.all')"/></option>
+						</select>
+					</li>
+				</ul>
+
+				<input type='submit'><xsl:attribute name="value"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref.set_prefs')"/></xsl:attribute></input>
+
+			</form>
+		</div>
+
+	</xsl:template>
+
+</xsl:stylesheet>
